### Method

# AppStream Category has_component

#### Declaration [src]

    gboolean
    as_category_has_component (
      AsCategory* category,
      AsComponent* cpt
    )

#### Description [src]

Check if the exact `AsComponent` `cpt` is a member of this category already.

#### Parameters

`cpt`

  Type: `AsComponent`

  The `AsComponent` to look for.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if the component is present.